# kosmorro(7) -- a program that computes the ephemerides

## DESCRIPTION

This manual explains the different terms that one can find when using **kosmorro**(1).
The terms are given in an alphabetically order.

## TERMS

### Apogee

The Moon is told being at its apogee when it is at its furthest point from the Earth.

### Conjunction

From the point of view of the Earth, two asters are said in conjunction when they are close together.
It is, of course, an illusion caused by the position of the Earth combined with the two other objects' ones.

### Elongation

The elongation is the angle of visual separation between a planet and the Sun, as seen from the point of view of the Earth.
For the inferior planets, the time when the elongation is maximal is propice to their observation, because it is the moment when they are the most visible.

### Occultation

An occultation is a special kind of conjunction where the closer aster to the Earth hides, at least partially, another one.

### Opposition

An aster is said in opposition when it is positionned at the exact opposite of the Sun, from the point of view of the Earth, i.e. when their angle is equal to 180 degrees.
For all the superior planets, it is the best moment to observe them, because they will be at the smallest distance to the Earth. Plus, they will appear full.  
For instance, Mars is in opposition when the angle Mars-Earth-Sun is equal to 180 degrees.

### Perigee

The Moon is told being at its apogee when it is at its nearest point from the Earth.

### Planet

A planet is an aster that orbits around a star, is not a star itself, is massive enough to maintain it nearly round, and has cleaned its orbit from other massive objects.

**Inferior planet**

A planet is said "inferior" if its orbit radius is smaller than the planet of reference.  
For instance, the inferior planets from the point of view of the Earth are Mercury and Venus.

The term should not be confused with "inner planet".

**Inner planet**

The "inner planet" term refers to the planets orbiting below the orbit of the asteroid belt between Mars and Jupiter.

**Outer planet**

The "outer planet" term refers to the planets orbiting beyond the orbit of the asteroid belt between Mars and Jupiter.

**Superior planet**

A planet is said "superior" if its orbit radius is higher than the planet of reference.  
For instance, the superior planets from the point of view of the Earth are Mars, Jupiter, Saturn, Uranus and Neptune.

The term should not be confused with "outer planet".

## AUTHOR

Written by Jérôme Deuchnord.

## COPYRIGHT

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

